/*
 *     This file is part of the Action Word Workspace plugin for Squash TM (henix-tm-workspace-action-word) project.
 *     Copyright (C) 2020 - 2021 Henix, henix.fr - All Rights Reserved
 *
 *     Unauthorized copying of this file, via any medium is strictly prohibited
 *     Proprietary and confidential
 *
 * 	 (C)Henix. Tous droits réservés.
 *
 * 	Avertissement : ce programme est protégé par la loi relative au droit d'auteur et par les conventions internationales. Toute reproduction ou distribution partielle ou totale du logiciel, par quelque moyen que ce soit, est strictement interdite.
 */
require(["common"], function () {
    "use strict";

    require(["jquery",
            'backbone',
            'backbone.wreqr',
            "app/ws/squashtm.workspace",
            './action-word-workspace/action-word-workspace-main',
            'jquery.cookie'
        ],
        function ($, Backbone, wreqr, WS, actionWordWorkspace) {
            $(function () {
                //setting the event bus at global level so it will be available for all objects in workspace
                window.squashtm.app.wreqr = new wreqr.EventAggregator();
                WS.init();
                $.cookie("workspace-prefs", null, { path: '/' });
                actionWordWorkspace.init(window.squashtm.app.actionWordWorkspaceConf);
            });
        });
});
