/*
 *     This file is part of the Action Word Workspace plugin for Squash TM (henix-tm-workspace-action-word) project.
 *     Copyright (C) 2020 - 2021 Henix, henix.fr - All Rights Reserved
 *
 *     Unauthorized copying of this file, via any medium is strictly prohibited
 *     Proprietary and confidential
 *
 * 	 (C)Henix. Tous droits réservés.
 *
 * 	Avertissement : ce programme est protégé par la loi relative au droit d'auteur et par les conventions internationales. Toute reproduction ou distribution partielle ou totale du logiciel, par quelque moyen que ce soit, est strictement interdite.
 */
define(["jquery", "tree", "../permissions-rules", "jquery.squash.formdialog"],
    function ($, zetree, rules) {
        function postNode(dialog, tree) {
            var params = {
                name : dialog.find('#add-action-word-name').val(),
                description : dialog.find('#add-action-word-description').val()
            };
            return tree.jstree('postNewNode', 'new-action-word', params, true);
        }

        function init() {
            var dialog = $("#add-action-word-dialog").formDialog();
            var tree = zetree.get();

            dialog.on('formdialogopen', function(){
                var node = tree.jstree('get_selected');

                if (! rules.canCreateActionWord(node)) {
                    /* If user has no right to create a new action word, the popup will instantly be closed */
                    dialog.formDialog('close');
                } else {
                    dialog.formDialog('setState','confirm');
                    var name = node.getName();
                    dialog.find("#new-action-word-tree-button").val(name);
                }
            });
            
            dialog.on('formdialogadd-close', function(){
                postNode(dialog,tree).then(function(){
                    dialog.formDialog('close');
                });
            });

            dialog.on('formdialogadd-another', function(){
                postNode(dialog, tree).then(function(){
                    dialog.formDialog('cleanup');
                }) ;
            });

            dialog.on('formdialogcancel', function(){
                dialog.formDialog('close');
            });
        }

        return {
            init : init
        };
    });